webpackJsonp([11],{

/***/ 657:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "PreviewPageModule", function() { return PreviewPageModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(11);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__preview__ = __webpack_require__(690);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__ngx_translate_core__ = __webpack_require__(52);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};




var PreviewPageModule = (function () {
    function PreviewPageModule() {
    }
    PreviewPageModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["NgModule"])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_2__preview__["a" /* PreviewPage */],
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["IonicPageModule"].forChild(__WEBPACK_IMPORTED_MODULE_2__preview__["a" /* PreviewPage */]),
                // For i18n
                __WEBPACK_IMPORTED_MODULE_3__ngx_translate_core__["b" /* TranslateModule */].forChild()
            ]
        })
    ], PreviewPageModule);
    return PreviewPageModule;
}());

//# sourceMappingURL=preview.module.js.map

/***/ }),

/***/ 690:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return PreviewPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(11);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__libs_util__ = __webpack_require__(13);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__angular_forms__ = __webpack_require__(19);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};




var PreviewPage = (function () {
    function PreviewPage(util, view, params, formBuilder, changeRef) {
        this.util = util;
        this.view = view;
        this.params = params;
        this.formBuilder = formBuilder;
        this.changeRef = changeRef;
        this.noticeQuestions = [];
        this.noticeFieldAnswer = {};
        this.passwdType = 'password';
        this.alipayEnabled = false;
        this.totalAmount = 0;
        this.balance = 0;
        this.item = params.get('item');
        this.noticeFieldAnswer = params.get('noticeFieldAnswer');
        this.noticeQuestions = params.get('noticeQuestions');
        this.totalAmount = params.get('totalAmount');
        this.balance = params.get('balance');
        this.replyForm = formBuilder.group({
            password: ['', __WEBPACK_IMPORTED_MODULE_3__angular_forms__["Validators"].compose([__WEBPACK_IMPORTED_MODULE_3__angular_forms__["Validators"].required])],
            paymentMethod: [''],
            cash: [''],
            alipay: [''],
        });
        this.alipayEnabled = this.util.isModuleEnabled('alipay');
    }
    PreviewPage.prototype.setPaymentMethod = function (method) {
        console.log('setPaymentMethod to: ' + method);
        this.method = method;
        this.changeRef.detectChanges(); // ---> Add this here
        // this.replyForm.patchValue(
        //     {paymentMethod: method}
        //   )
    };
    PreviewPage.prototype.getQty = function (questionId, i) {
        var question = this.noticeFieldAnswer[questionId];
        if (question['qty']) {
            var ary = question['qty'].split('+');
            return ary[i];
        }
        else {
            return 0;
        }
    };
    PreviewPage.prototype.onSubmit = function () {
        if (!this.replyForm.value['password']) {
            this.util.showAlert('error', 'Please enter password');
            return;
        }
        // if(!this.replyForm.value['paymentMethod']){
        if (!this.method) {
            this.util.showAlert('error', 'Please select payment method');
            return;
        }
        this.replyForm.value['paymentMethod'] = this.method;
        this.view.dismiss(this.replyForm.value);
    };
    PreviewPage.prototype.inAnswer = function (id) {
        return this.noticeFieldAnswer[id];
    };
    PreviewPage.prototype.matchAnswer = function (id, option) {
        return this.noticeFieldAnswer[id]['answer'] == option;
    };
    PreviewPage.prototype.matchCheckboxAnswer = function (id, option) {
        var answerArr = this.noticeFieldAnswer[id]['answer'].split("+");
        return this.util.inArray(option, answerArr);
    };
    PreviewPage.prototype.close = function () {
        this.view.dismiss();
    };
    PreviewPage.prototype.ionViewDidLoad = function () {
        if (this.balance >= this.totalAmount) {
            this.method = 'cash';
            this.replyForm.patchValue({ paymentMethod: 'cash' });
        }
        else if (this.alipayEnabled) {
            this.method = 'alipay';
            this.replyForm.patchValue({ paymentMethod: 'alipay' });
        }
    };
    PreviewPage.prototype.showPasswd = function (event) {
        if (event.checked)
            this.passwdType = 'text';
        else
            this.passwdType = 'password';
    };
    PreviewPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Component"])({
            selector: 'page-preview',template:/*ion-inline-start:"/Users/joe/dev/ionic/v3/schoolapp-parent/src/pages/notice/preview.html"*/'<ion-header>\n	<ion-navbar color="dark">\n			<ion-title>\n					<span ion-text color="white" class="fw500">{{\'Preview\' | translate}}</span>\n			</ion-title>\n			<ion-buttons end>\n				<button ion-button class="search-btn" (click)="close()">\n						<ion-icon name="close" color="white"></ion-icon>\n				</button>\n		</ion-buttons>\n	</ion-navbar>\n\n</ion-header>\n\n<ion-content>\n	<div class="box" >\n		<div id="title" class="box-row box-title"><ion-icon name="list-box" class="list-box-icon"></ion-icon> <b>{{item.title}}</b></div>\n		</div>\n\n	<!-- n2sStatus = 6 : 已签 -->\n	<div class="reply-list" >\n		<div class="card" *ngIf="noticeQuestions.length">\n			<div *ngFor="let question of noticeQuestions">\n			<ion-card *ngIf="inAnswer(question.id)">\n				<ion-card-header text-wrap>{{question.label}}<span *ngIf="question.needReply==1" class="required">*</span>({{question.fieldTypeDesc}})</ion-card-header>\n					<ion-card-content>\n						<!-- Radio -->\n						<div *ngIf="question.fieldType == \'radio\'">\n							<ion-item *ngFor="let option of question.fieldValue; let i=index">\n								<input *ngIf="matchAnswer(question.id, option)" checked="true" class="magic-radio" type="radio"  disabled="disabled">\n								<input *ngIf="!matchAnswer(question.id, option)" class="magic-radio" type="radio" disabled="disabled">\n								<label text-wrap for="field_{{question.id}}_{{i}}" *ngIf="question.fieldAmount[i] > 0">{{option}}(${{question.fieldAmount[i]}})</label>\n								<label text-wrap for="field_{{question.id}}_{{i}}" *ngIf="question.fieldAmount[i] == 0 || question.fieldAmount[0] == \'null\'">{{option}}</label>\n						</ion-item>\n					</div>\n					<!-- Checkbox -->\n						<div *ngIf="question.fieldType == \'checkbox\'">\n							<ion-item *ngFor="let option of question.fieldValue; let i=index">\n								<input *ngIf="matchCheckboxAnswer(question.id, option)" checked="true" class="magic-checkbox" type="checkbox"  disabled="disabled">\n								<input *ngIf="!matchCheckboxAnswer(question.id, option)" class="magic-checkbox" type="checkbox"  disabled="disabled">\n								<label text-wrap for="field_{{question.id}}_{{i}}" *ngIf="question.fieldAmount[i] > 0">{{option}}(${{question.fieldAmount[i]}})</label>\n								<label text-wrap for="field_{{question.id}}_{{i}}" *ngIf="question.fieldAmount[i] == 0 || question.fieldAmount[0] == \'null\'">{{option}}</label>\n						</ion-item>\n					</div>\n					<!-- Text -->\n						<div *ngIf="question.fieldType == \'text\'">\n							<ion-item text-wrap>\n								{{noticeFieldAnswer[question.id][\'answer\']}}\n						</ion-item>\n					</div>\n					<!-- Number -->\n						<div *ngIf="question.fieldType == \'number\' || question.fieldType == \'range\'">\n							<ion-item>\n								{{noticeFieldAnswer[question.id][\'answer\']}}\n						</ion-item>\n					</div>\n					<!-- Radio or Checkbox with Qty -->\n					<div *ngIf="(question.fieldType == \'checkbox\' || question.fieldType == \'radio\') && question.needQty == 1" class="item-qty">\n										<div *ngFor="let option of question.fieldValue; let i = index">\n												<ion-row>\n													<ion-col col-6 text-right style="margin-top: 10px;">\n															{{option}}<span *ngIf="question.fieldAmount!=\'null\' && question.fieldAmount[i]!=0">(${{question.fieldAmount[i]}})</span>\n													</ion-col>\n													<ion-col col-6>\n															<label class="item item-input field-qty">\n																<input type="number" disabled="true" class="input-custom" style="width: 120px;" value="{{ getQty(question.id, i) }}">\n															</label>\n													</ion-col>\n												</ion-row>\n										</div>\n								</div>\n					</ion-card-content>\n				</ion-card>\n			</div>\n		</div>\n	</div><!-- 已签 -->\n\n	<form class="reply-form" [formGroup]="replyForm" (submit)="onSubmit()">\n		<ion-card *ngIf="totalAmount > 0" >\n			<ion-card-header text-wrap>{{\'Payment method\' | translate}}</ion-card-header>\n				<ion-card-content>\n\n						<ion-row *ngIf="balance >= totalAmount" (click)="setPaymentMethod(\'cash\')">\n							<ion-col col-2  >\n								<ion-icon *ngIf="method == \'cash\'" name="arrow-forward" class="bigIcon"></ion-icon>\n							</ion-col>\n							<ion-col col-10>\n								<ion-label color="primary" class="bigText">{{\'Deduct from balance\' | translate}}  ({{\'noticePage.balance\' | translate}}: ${{balance}})</ion-label>\n							</ion-col>\n						</ion-row>\n\n						<ion-item *ngIf="balance < totalAmount">\n								<ion-label>{{\'Insufficient balance\' | translate}}  ({{\'noticePage.balance\' | translate}}: ${{balance}})</ion-label>\n						</ion-item>\n						<ion-row *ngIf="alipayEnabled" (click)="setPaymentMethod(\'alipay\')">\n							<ion-col col-2 padding >\n								<ion-icon *ngIf="method == \'alipay\'" name="arrow-forward" class="bigIcon"></ion-icon>\n							</ion-col>\n							<ion-col col-10>\n								<ion-label color="primary" class="bigText">{{\'Alipay\' | translate}}</ion-label>\n							</ion-col>\n						</ion-row>\n\n						<ion-title>{{\'noticePage.total\' | translate}}: ${{totalAmount}}</ion-title>\n					</ion-card-content>\n				</ion-card>\n\n\n\n	<div class="box-row" >	\n	<ion-icon name="megaphone" class="list-box-icon"></ion-icon> <b style="font-size: 16px;">{{\'noticePage.statement\' | translate}}</b>\n		<div class="input" *ngIf="item.n2sStatus!=6" style="margin-top:10px;">\n			<div class="row">\n					<div float-left style="width: 50%;display: flex;">\n						<span class="required">* </span>\n		<label>{{\'signinPage.placeholder.password\' | translate}}:\n		</label>\n					</div>\n					<div float-right style="width: 50%;">\n							<ion-label style="margin-top:0;padding-left: 5px;">{{\'signinPage.showPasswd\' | translate}}\n							<ion-checkbox (ionChange)="showPasswd($event)"></ion-checkbox>\n							</ion-label>\n					</div>\n			</div>		\n		<input type="{{passwdType}}" formControlName="password" name="password" placeholder="{{\'noticePage.inputPasswd\' | translate}}" class="input-custom" required="required" />\n		<button ion-button color="blue" full margin-top class="fw700 btn-custom" type="submit">{{\'global.confirm\' | translate}}</button>\n		<br>\n		</div>\n</div> <!-- ./box -->\n</form>\n</ion-content>\n'/*ion-inline-end:"/Users/joe/dev/ionic/v3/schoolapp-parent/src/pages/notice/preview.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_2__libs_util__["a" /* Util */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["ViewController"],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavParams"],
            __WEBPACK_IMPORTED_MODULE_3__angular_forms__["FormBuilder"],
            __WEBPACK_IMPORTED_MODULE_0__angular_core__["ChangeDetectorRef"]])
    ], PreviewPage);
    return PreviewPage;
}());

//# sourceMappingURL=preview.js.map

/***/ })

});
//# sourceMappingURL=11.js.map