webpackJsonp([17],{

/***/ 653:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "HomePageModule", function() { return HomePageModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(11);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__message_detail__ = __webpack_require__(686);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__ngx_translate_core__ = __webpack_require__(52);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};




var HomePageModule = (function () {
    function HomePageModule() {
    }
    HomePageModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["NgModule"])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_2__message_detail__["a" /* MessageDetailPage */]
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["IonicPageModule"].forChild(__WEBPACK_IMPORTED_MODULE_2__message_detail__["a" /* MessageDetailPage */]),
                __WEBPACK_IMPORTED_MODULE_3__ngx_translate_core__["b" /* TranslateModule */].forChild()
            ],
        })
    ], HomePageModule);
    return HomePageModule;
}());

//# sourceMappingURL=message-detail.module.js.map

/***/ }),

/***/ 686:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return MessageDetailPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(11);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__providers_message_message__ = __webpack_require__(92);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__providers_bookmark_bookmark__ = __webpack_require__(434);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__libs_util__ = __webpack_require__(13);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5__libs_file__ = __webpack_require__(68);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_6__angular_platform_browser__ = __webpack_require__(35);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};





// import { PdfViewerPage } from './../pdf-viewer/pdf-viewer';


var MessageDetailPage = (function () {
    function MessageDetailPage(message, navParams, util, platform, bookmark, nav, events, file, elementRef, sanitizer) {
        this.message = message;
        this.navParams = navParams;
        this.util = util;
        this.platform = platform;
        this.bookmark = bookmark;
        this.nav = nav;
        this.events = events;
        this.file = file;
        this.elementRef = elementRef;
        this.sanitizer = sanitizer;
        this.uploadUrl = this.util.getStorage('app').uploadDirUrl;
        this.id = this.navParams.get('id');
    }
    MessageDetailPage.prototype.handleClick = function (a) {
        // console.log('handleClick a = ', a);
        // console.log('handleClick a.target.rel= ', a.target.rel);
        this.events.publish('gotoWebsite', a.target.rel + "");
    };
    MessageDetailPage.prototype.openGallery = function (imageList, index) {
        var photos = [];
        var i = 0, j = 0, jumpTo = 0;
        for (var key in imageList) {
            if (imageList[key].fileType == 'img') {
                if (typeof (photos[j]) == 'undefined')
                    photos[j] = {};
                // 远程图片 OR 本地图片
                photos[j].url = imageList[key].fileUrl;
                photos[j].type = imageList[key].fileType;
                if (i == index) {
                    jumpTo = j;
                }
                j++;
            }
            i++;
        }
        this.util.openGallery(photos, jumpTo);
    };
    MessageDetailPage.prototype.ionViewDidLoad = function () {
        var _this = this;
        this.util.showLoading();
        if (this.id) {
            // 判断是否存在
            this.message.getItem(this.id).then(function (ret) {
                var data = ret[0];
                if (data != undefined) {
                    _this.getItem(_this.id);
                }
                else {
                    console.log('MessageDetailPage ionViewDidLoad message do not exist =====> ' + _this.id);
                    _this.message.getOneFromRemoteDb(_this.id).subscribe(function (res) {
                        var data = res.json();
                        console.log('MessageDetailPage getOneFromRemoteDb data  ========> ' + JSON.stringify(data));
                        if (data.code == 1) {
                            _this.showDetail(data.rowCopy);
                            _this.message.saveOne(data.row);
                        }
                        else {
                            _this.util.hideLoading();
                            _this.nav.push('MessagePage');
                        }
                    });
                }
            });
            // 检查是否在书签列表
            this.bookmark.check('message', this.id).then(function (ret) {
                if (ret) {
                    _this.bookmarked = true;
                }
                else {
                    _this.bookmarked = false;
                }
            });
        }
        this.util.delay(2000).then(function () {
            var elements = _this.elementRef.nativeElement.querySelectorAll('a');
            console.log('aa  ', elements);
            for (var _i = 0, elements_1 = elements; _i < elements_1.length; _i++) {
                var iterator = elements_1[_i];
                iterator.addEventListener('click', _this.handleClick.bind(_this));
            }
        });
    };
    MessageDetailPage.prototype.getItem = function (id) {
        var _this = this;
        this.platform.ready().then(function () {
            _this.message.getItem(id).then(function (ret) {
                _this.showDetail(ret[0]);
            });
        });
    };
    MessageDetailPage.prototype.showDetail = function (data) {
        // console.log("showDetail message detail = " );
        // console.log(data);
        var currentStudentId = this.util.getCurrentStudentId();
        if (currentStudentId != data.studentId) {
            this.util.setCurrentStudentId(data.studentId);
            this.events.publish('switchStudent', data.studentId);
        }
        try {
            var p = JSON.parse(data.attachments);
            data.attachments = p;
        }
        catch (e) {
            data.attachments = JSON.parse("[]");
            if (e instanceof SyntaxError) {
                console.log("json SyntaxError " + JSON.stringify(e));
            }
            else {
                console.log("json Error " + e);
            }
        }
        var re = /href="(.+?)"/gi;
        data.content = data.content.replace(re, ' rel="$1" ');
        data.content = this.sanitizer.bypassSecurityTrustHtml(data.content);
        this.items = [data];
        this.util.hideLoading();
        if (data.m2sStatus == 0) {
            this.message.setRead(data.id);
        }
    };
    MessageDetailPage.prototype.openHomePage = function () {
        this.nav.setRoot('HomePage');
    };
    MessageDetailPage.prototype.addToBookmark = function (id) {
        if (this.bookmarked) {
            this.bookmark.del('message', id);
            this.bookmarked = false;
        }
        else {
            this.bookmark.add('message', id);
            this.bookmarked = true;
        }
    };
    MessageDetailPage.prototype.openPDF = function (attachment) {
        var fileName = attachment.filePath.substring(attachment.filePath.lastIndexOf('/') + 1);
        /* if(attachment.fileType == 'pdf'){
        this.file.open(localUrl, attachment.fileUrl);
        } */
        var localUrl = this.file.getDataDirectory() + fileName;
        this.file.open(localUrl, attachment.fileUrl);
    };
    MessageDetailPage.prototype.openInBrowser = function (attachment) {
        // window.open(attachment.fileUrl, '_system', 'location=no'); 
        this.events.publish('gotoWebsite', attachment.fileUrl);
        return false;
    };
    MessageDetailPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Component"])({
            selector: 'page-message-detail',template:/*ion-inline-start:"/Users/joe/dev/ionic/v3/schoolapp-parent/src/pages/message/message-detail.html"*/'<ion-header>\n    <ion-navbar color="dark">\n        <ion-title>\n            <span ion-text color="white" class="fw500">{{\'messagePage.messageDetail\' | translate}}</span>\n        </ion-title>\n        <ion-buttons end>\n            <button ion-button class="search-btn" (click)="openHomePage(id)">\n                <ion-icon name="home" color="white"></ion-icon>\n            </button>\n            <button ion-button class="search-btn" (click)="addToBookmark(id)">\n                <ion-icon name="{{bookmarked ? \'star\' : \'star-outline\'}}" color="white"></ion-icon>\n            </button>\n        </ion-buttons>\n    </ion-navbar>\n</ion-header>\n\n<ion-content>\n        <div *ngFor="let item of items" class="box">\n                <div id="title" class="box-row box-title"><ion-icon name="list-box" class="list-box-icon"></ion-icon> <b>{{item.title}}</b></div>\n            <div class="box-row">\n                <ion-row>\n                    <ion-col col-3 text-right ><b [translate]="\'noticePage.publishDate\'">:</b></ion-col><ion-col col-sm-3>{{item.publishDate}}</ion-col>\n                </ion-row>\n                <ion-row>\n                    <ion-col col-3 text-right><b [translate]="\'noticePage.from\'">:</b></ion-col><ion-col col-sm-3>{{item.sender}}</ion-col>\n                </ion-row>\n            </div>\n            <div padding [innerHTML]="item.content" class="box-content"></div>\n\n            <div padding *ngIf="item.attachments.length">\n                <div *ngFor="let attachment of item.attachments; let i = index">\n                    <div *ngIf="attachment.fileType == \'pdf\'">\n                    <ion-row>\n                    <ion-col col-4>\n                        <img src="./assets/imgs/icon_pdf.png" (click)="openPDF(attachment)" width=80>\n                    </ion-col>\n                    <ion-col col-8>\n                    <a href="#" style="text-decoration: none;"  (click)="openInBrowser(attachment)" >\n                            {{attachment.fileName}}\n                            </a>\n                        </ion-col>\n                    </ion-row>\n                    </div>\n\n                    <div *ngIf="attachment.fileType != \'pdf\'">\n                        <img src="{{attachment.fileUrl}}" (click)="openGallery(item.attachments, i)">\n                    </div>\n                </div>\n            </div>\n        </div>\n</ion-content>\n'/*ion-inline-end:"/Users/joe/dev/ionic/v3/schoolapp-parent/src/pages/message/message-detail.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_2__providers_message_message__["a" /* MessageProvider */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavParams"],
            __WEBPACK_IMPORTED_MODULE_4__libs_util__["a" /* Util */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["Platform"],
            __WEBPACK_IMPORTED_MODULE_3__providers_bookmark_bookmark__["a" /* BookmarkProvider */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavController"],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["Events"],
            __WEBPACK_IMPORTED_MODULE_5__libs_file__["a" /* FileAction */],
            __WEBPACK_IMPORTED_MODULE_0__angular_core__["ElementRef"],
            __WEBPACK_IMPORTED_MODULE_6__angular_platform_browser__["c" /* DomSanitizer */]])
    ], MessageDetailPage);
    return MessageDetailPage;
}());

//# sourceMappingURL=message-detail.js.map

/***/ })

});
//# sourceMappingURL=17.js.map