webpackJsonp([9],{

/***/ 667:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "PaymentPageModule", function() { return PaymentPageModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(11);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__payment__ = __webpack_require__(701);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__ngx_translate_core__ = __webpack_require__(52);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};




var PaymentPageModule = (function () {
    function PaymentPageModule() {
    }
    PaymentPageModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["NgModule"])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_2__payment__["a" /* PaymentPage */],
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["IonicPageModule"].forChild(__WEBPACK_IMPORTED_MODULE_2__payment__["a" /* PaymentPage */]),
                __WEBPACK_IMPORTED_MODULE_3__ngx_translate_core__["b" /* TranslateModule */].forChild()
            ],
        })
    ], PaymentPageModule);
    return PaymentPageModule;
}());

//# sourceMappingURL=payment.module.js.map

/***/ }),

/***/ 701:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return PaymentPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(11);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__providers_user_user__ = __webpack_require__(53);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__providers_payment_payment__ = __webpack_require__(163);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__libs_util__ = __webpack_require__(13);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5__ngx_translate_core__ = __webpack_require__(52);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_6__app_app_config__ = __webpack_require__(18);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_7__ionic_native_in_app_browser__ = __webpack_require__(90);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};








var PaymentPage = (function () {
    function PaymentPage(util, user, platform, payment, nav, menu, view, events, translate, iab, alert) {
        this.util = util;
        this.user = user;
        this.platform = platform;
        this.payment = payment;
        this.nav = nav;
        this.menu = menu;
        this.view = view;
        this.events = events;
        this.translate = translate;
        this.iab = iab;
        this.alert = alert;
        this.page = 1;
        this.alipayEnabled = false;
        this.params = {};
        this.paymentCompleted = false;
        this.queryCompleted = false;
        this.paymentQueryCnt = 0; // max 3
        this.paymentQueryBgCnt = 0; // max 60
        this.items = [];
        this.params = {
            studentId: this.util.getCurrentStudentId()
        };
        this.alipaySetting = this.util.getAlipaySetting();
        this.alipayEnabled = this.util.isModuleEnabled('alipay');
    }
    PaymentPage.prototype.depositToggle = function () {
        var _this = this;
        var alertCtrl = this.alert.create({
            title: this.translate.instant('Deposit by Alipay'),
            message: this.translate.instant('Please input'),
            inputs: [
                {
                    name: 'amount',
                    placeholder: this.translate.instant('Amount')
                },
            ],
            buttons: [
                {
                    text: this.translate.instant('global.cancel'),
                },
                {
                    text: this.translate.instant('global.confirm'),
                    handler: function (data) {
                        _this.handlePayment(data);
                    }
                }
            ],
            cssClass: 'alert-box'
        });
        alertCtrl.present();
    };
    PaymentPage.prototype.handlePayment = function (data) {
        var _this = this;
        console.log('handlePayment data= ', data);
        if (!data.amount || isNaN(data.amount)) {
            this.util.showToast(this.translate.instant('Please input amount'));
            return;
        }
        this.params['totalAmount'] = data.amount;
        this.params['paymentMethod'] = 'AliPay';
        this.params['txnNo'] = this.util.getTxnNo('ALP');
        // create transaction
        this.payment.createTxn(this.params).subscribe(function (res) {
            console.log('createTxn: ', res);
        });
        // show payment window
        //         var pageContent = '<html><head></head><body><form id="alipayForm" action="'+ Config.alipayUrl +'" method="post">' +
        //         '<input type="hidden" name="WIDout_trade_no" value="'+ this.params['txnNo'] +'">' +
        // '<input type="hidden" name="WIDsubject" value="SchoolApp Payment">' +
        // '<input type="hidden" name="WIDbody" value="ALIPAY">' +
        // '<input type="hidden" name="WIDtotal_fee" value="'+ data.amount +'">' +
        // '<input type="hidden" name="currency" value="HKD">' +
        // '<input type="hidden" name="WIDproduct_code" value="NEW_WAP_OVERSEAS_SELLER">' +
        // '<input type="hidden" name="WIDpayment_inst" value="ALIPAYHK">' +
        // '<input type="hidden" name="alipayPartnerId" value="'+ this.alipaySetting['alipayPartnerId'] +'">' +
        // '<input type="hidden" name="alipayMd5Key" value="'+ this.alipaySetting['alipayMd5Key'] +'">' +
        // '</form> <script type="text/javascript">document.getElementById("alipayForm").submit();</script></body></html>';
        // var pageContentUrl = 'data:text/html;base64,' + btoa(pageContent);
        // console.log('createTxn: ' , pageContentUrl);
        // this.browser = this.iab.create(pageContentUrl, "_blank", "location=yes,toolbar=yes,toolbarposition=top,closebuttoncaption=X,closebuttoncolor=00ff00");
        // this.browser.show();
        console.log('handlePayment params: ', this.params);
        var strParams = __WEBPACK_IMPORTED_MODULE_6__app_app_config__["a" /* Config */].alipayForwardUrl + '?WIDsubject=SchoolApp-Payment&WIDbody=ALIPAY&currency=HKD&WIDproduct_code=NEW_WAP_OVERSEAS_SELLER&WIDpayment_inst=ALIPAYHK&WIDout_trade_no=' + this.params['txnNo'] + '&WIDtotal_fee=' + data.amount + '&alipayPartnerId=' + this.alipaySetting['alipayPartnerId'] + '&alipayMd5Key=' + this.alipaySetting['alipayMd5Key'];
        console.log('handlePayment strParams: ', strParams);
        // this.browser = this.iab.create(strParams, "_blank", "location=yes,toolbar=yes,toolbarposition=top,closebuttoncaption=X,closebuttoncolor=00ff00");
        this.browser = this.iab.create(strParams, "_blank", "location=yes,toolbar=yes");
        // this.browser.show();
        this.queryPaymentBg();
        this.browser.on('exit').subscribe(function (event) {
            console.log('browser exit ');
            _this.payFinish();
        });
    };
    PaymentPage.prototype.payFinish = function () {
        var _this = this;
        console.log('payFinish paymentCompleted = ', this.paymentCompleted);
        if (this.paymentCompleted) {
            this.payment.deposit(this.params).subscribe(function (res) {
                var json = res.json();
                console.log('deposit response ', res);
                if (json.code == 1) {
                    _this.payment.setPaymentCount(json.counter, _this.util.getCurrentStudentId());
                    _this.counter = json.counter;
                    _this.util.showToast(_this.translate.instant('Payment success'));
                }
                else {
                    _this.util.showAlert('error', json.msg);
                }
            });
        }
        else {
            this.queryCompleted = true;
            this.queryPayment();
        }
    };
    PaymentPage.prototype.queryPayment = function () {
        var _this = this;
        this.util.showLoading(); // wait for the callback from Alipay
        this.payment.queryPayment({
            "out_trade_no": this.params['txnNo'],
            "alipayPartnerId": this.alipaySetting['alipayPartnerId'],
            "alipayMd5Key": this.alipaySetting['alipayMd5Key']
        }).subscribe(function (res) {
            var json = res.json();
            console.log('queryPayment response ', json);
            if (json.response && json.response.trade.trade_status == "TRADE_FINISHED") {
                _this.paymentCompleted = true;
                _this.util.hideLoading();
                _this.payFinish();
            }
            else {
                console.log('this.paymentQueryCnt = ', _this.paymentQueryCnt, ' this.paymentCompleted=', _this.paymentCompleted);
                if (_this.paymentQueryCnt < 3) {
                    _this.util.delay(3000).then(function (res) {
                        _this.payFinish();
                    });
                    _this.paymentQueryCnt++;
                }
                else {
                    _this.util.hideLoading();
                    _this.paymentQueryCnt = 0;
                    _this.util.showToast(_this.translate.instant('Payment failed'));
                }
            }
        });
    };
    // query Payment in background
    PaymentPage.prototype.queryPaymentBg = function () {
        var _this = this;
        if (this.queryCompleted) {
            console.log('queryCompleted');
            return;
        }
        this.paymentQueryBgCnt++;
        if (this.paymentQueryBgCnt == 60) {
            console.log('paymentQueryBgCnt == 60');
            this.queryCompleted = true;
        }
        if (this.params['txnNo']) {
            this.payment.queryPayment({
                "out_trade_no": this.params['txnNo'],
                "alipayPartnerId": this.alipaySetting['alipayPartnerId'],
                "alipayMd5Key": this.alipaySetting['alipayMd5Key']
            }).subscribe(function (res) {
                var json = res.json();
                console.log('queryPaymentBg response ', json);
                if (json.response && json.response.trade.trade_status == "TRADE_FINISHED") {
                    _this.paymentCompleted = true;
                    _this.queryCompleted = true;
                    _this.browser.close();
                    //   }else {
                }
            });
        }
        else {
            console.log('no txnNo, wait 1 second then');
        }
        if (!this.paymentCompleted && !this.queryCompleted) {
            this.util.delay(1000).then(function (res) {
                _this.queryPaymentBg();
            });
        }
    };
    PaymentPage.prototype.ionViewDidLoad = function () {
        this.getRemoteData();
    };
    PaymentPage.prototype.getOverview = function () {
        var _this = this;
        this.payment.getTotalPage().then(function (ret) {
            _this.totalPage = ret;
        });
        var studentDetail = this.util.getStorage('studentDetail');
        this.currentStudentId = this.user.getCurrentStudentId();
        for (var key in studentDetail) {
            if (parseInt(key) == this.currentStudentId)
                this.counter = studentDetail[key].paymentCount;
        }
        this.payment.getItemsFromLocalDb(this.page, { studentId: this.currentStudentId }).then(function (ret) {
            console.log('getOverview getItemsFromLocalDb: ', ret);
            for (var i in ret) {
                ret[i] = _this.payment.formatText(ret[i]);
            }
            _this.items = ret;
        });
    };
    PaymentPage.prototype.getRemoteData = function () {
        var _this = this;
        // 从服务器更新数据
        this.platform.ready().then(function () {
            var currentStudentId = _this.util.getCurrentStudentId();
            _this.payment.getLatestFromRemoteDb(currentStudentId);
            _this.getOverview();
        });
    };
    PaymentPage.prototype.refresh = function (refresher) {
        var _this = this;
        this.page = 1;
        setTimeout(function () {
            _this.getRemoteData();
            refresher.complete();
        }, 1000);
    };
    PaymentPage.prototype.loadMore = function (infiniteScroll) {
        var _this = this;
        setTimeout(function () {
            _this.platform.ready().then(function () {
                _this.page = _this.page + 1;
                _this.payment.getItemsFromLocalDb(_this.page, { studentId: _this.currentStudentId }).then(function (ret) {
                    console.log('currentStudentId=', _this.currentStudentId, ' loadMore getItemsFromLocalDb: ', ret);
                    for (var i in ret) {
                        _this.items.push(_this.payment.formatText(ret[i]));
                    }
                });
            });
            infiniteScroll.complete();
        }, 1000);
    };
    PaymentPage.prototype.openDetailPage = function () {
        this.nav.push('PaymentDetailPage');
    };
    PaymentPage.prototype.menuToggle = function () {
        this.menu.open();
    };
    PaymentPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Component"])({
            selector: 'page-payment',template:/*ion-inline-start:"/Users/joe/dev/ionic/v3/schoolapp-parent/src/pages/payment/payment.html"*/'<ion-header>\n    <ion-navbar color="dark">\n        \n        <ion-buttons start>\n\n            <button *ngIf="alipayEnabled" color="white" ion-button outline (click)="depositToggle()">\n                {{\'Deposit\' | translate}}\n            </button>\n            <button ion-button class="search-btn" (click)="menuToggle()">\n                <ion-icon name="menu" color="white"></ion-icon>\n            </button>\n        </ion-buttons>\n        <ion-title>\n            <span ion-text color="white" class="fw500">{{\'sideMenu.payment\' | translate}}</span>\n        </ion-title>\n        <!-- <ion-buttons end>\n            <button ion-button class="search-btn fw500" style="font-size: 30px;font-weight: bold;" (click)="openDetailPage()">\n                <ion-icon name="list" color="white"></ion-icon>\n            </button>\n        </ion-buttons> -->\n    </ion-navbar>\n    <ion-toolbar style="border-bottom: 2px #367fa9 solid;">\n        <div text-center class="row fw700">\n            <div class="col col-3">{{\'paymentPage.deposit\'| translate}}<br>${{counter?.cntDeposit}}</div>\n            <div class="col col-3">{{\'paymentPage.refund\'| translate}}<br>${{counter?.cntRefund}}</div>\n            <div class="col col-3">{{\'paymentPage.paid\'| translate}}<br>${{counter?.cntPaid}}</div>\n            <div class="col col-3">{{\'paymentPage.balance\'| translate}}<br>${{counter?.balance}}</div>\n       <!--      <div class="col col-2">{{\'paymentPage.owe\'| translate}}<br>${{counter?.cntOwe}}</div> -->\n        </div>\n    </ion-toolbar>\n    <ion-toolbar no-border-bottom >\n            <div text-center class="row fw700">\n                <div class="col ">{{\'paymentPage.date\'| translate}}</div>\n                <div class="col ">{{\'paymentPage.item\'| translate}}</div>\n                <div class="col ">{{\'paymentPage.method\'| translate}}</div>\n                <div class="col ">{{\'paymentPage.amount\'| translate}}</div>\n                <div class="col ">{{\'remark\'| translate}}</div>\n            </div>\n        </ion-toolbar>\n    </ion-header>\n\n<ion-content class="content">\n    <ion-refresher (ionRefresh)="refresh($event, currentMonth)">\n        <ion-refresher-content\n            pullingIcon="arrow-round-down"\n            pullingText="{{\'global.pullRefresh\' | translate}}"\n            refreshingText="{{\'global.refreshing\' | translate}}">\n        </ion-refresher-content>\n    </ion-refresher>\n\n    <div class="box-items">\n        <ul class="row items" text-center *ngFor="let item of items" padding>\n            <li class="col ">{{item.payDate}}</li>\n            <li class="col " text-left>\n                <div>{{item.batchTitle}}</div>\n            </li>\n            <li class="col ">{{item.methodText}} {{item.typeText | translate}} </li>\n            <li class="col ">\n                <span class="text-success" *ngIf="item.successText">{{item.successText}}</span>\n                <span class="text-danger" *ngIf="item.dangerText">{{item.dangerText}}</span>\n        	</li>\n            <li class="col ">\n                {{item.remark}}\n            </li>\n        </ul>\n    </div>\n    <ion-infinite-scroll (ionInfinite)="loadMore($event)" *ngIf="page < totalPage">\n        <ion-infinite-scroll-content loadingSpinner="bubbles" loadingText="{{\'global.loadMore\' | translate}}"></ion-infinite-scroll-content>\n    </ion-infinite-scroll>\n</ion-content>\n'/*ion-inline-end:"/Users/joe/dev/ionic/v3/schoolapp-parent/src/pages/payment/payment.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_4__libs_util__["a" /* Util */],
            __WEBPACK_IMPORTED_MODULE_2__providers_user_user__["a" /* UserProvider */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["Platform"],
            __WEBPACK_IMPORTED_MODULE_3__providers_payment_payment__["a" /* PaymentProvider */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavController"],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["MenuController"],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["ViewController"],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["Events"],
            __WEBPACK_IMPORTED_MODULE_5__ngx_translate_core__["c" /* TranslateService */],
            __WEBPACK_IMPORTED_MODULE_7__ionic_native_in_app_browser__["a" /* InAppBrowser */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["AlertController"]])
    ], PaymentPage);
    return PaymentPage;
}());

//# sourceMappingURL=payment.js.map

/***/ })

});
//# sourceMappingURL=9.js.map